Subscribe
Accepted Solution

VIBE Plugin, SSL error

[ Edited ]

Hello,

I would like to test the SC plugin for Vmware VSphere (VIBE).

I have installed the latest SC (Community edition).

When I try to create a backup (snapshot) of a virtual machine in a datastore via SC I get the following error:

(4.1.0.1)] (Thu Jan  9 16:13:22 2014) [vmw-00029] vCenter server login failed -- check authentication and firewall settings (Crypt::SSLeay is required for https connections, but could not be loaded: Can't load 'auto/Crypt/SSLeay/SSLeay.so' for module Crypt::SSLeay: auto/Crypt/SSLeay/SSLeay.so: cannot open shared object file: No such file or directory at /</opt/Netapp/scAgent4.1.0c/plugins/wrapper/wrapper>DynaLoader.pm line 219.

Can someone tell me where I can get the SSLeay.so library and which version I need?  Where do I have to copy the file?

Thanks a lot for your help.

Best Regards,

Andreas

Re: VIBE Plugin, SSL error

The requirements for HTTPS for Linux/Unix are as follows:

1) openssl package

2) SSL symlinks

Make sure the following symlinks are located under /usr/lib oder /usr/lib64 (depending on if OS is 64bit or not)

libssl.so.6

libcrypto.so.6

If the symlinks dont exist please cd to /usr/lib or /usr/lib64 and run following command to link them. Make sure what we are linking to is installed, again pre-requisite is openssl so it should be installed first.

ln -sf libssl.so.0.9.8 libssl.so.6

ln -sf libcrypto.so.0.9.8 libcrypto.so.6

Regards,

Keith

Re: VIBE Plugin, SSL error

This only happens when using CLI it is a CLI issue as the CLI dynamically links to SLL libs on your system and cant always find them.

Keith

Re: VIBE Plugin, SSL error

Hello Andreas,

What is your Snap Creator server operating system?

You need to install openssl package and associated Crypt::SSLeay packages.

Please refer to your operating system guides to obtain those packages.

Borrowing information from this thread https://communities.netapp.com/thread/18561

########

This is from BURT 499567

HTTPS may not work on linux out-of-the-box. This appears to mainly be issue with SuSe but really could apply to any Unix. Snap Creator does not include ssl libraries we are dependent on, therefore customer must install openssl and ensure symlinks are created correctly (see below). The reason is simply we dynamically link so customers can update SSL versions of openssl for important security fixes without being dependent on SC versions.

The requirements for HTTPS for Linux/Unix are as follows:

1) openssl package

2) SSL symlinks

Make sure the following symlinks are located under /usr/lib oder /usr/lib64 (depending on if OS is 64bit or not)

libssl.so.6

libcrypto.so.6

If the symlinks dont exist please cd to /usr/lib or /usr/lib64 and run following command to link them. Make sure what we are linking to is installed, again pre-requisite is openssl so it should be installed first.

ln -sf libssl.so.0.9.8 libssl.so.6

ln -sf libcrypto.so.0.9.8 libcrypto.so.6

If this doesn't work run strace and send to engineering:

strace ./snapcreator --profile <profile> --action snap --policy <policy> --verbose

Regards,

Keith

############

Re: VIBE Plugin, SSL error

For RedHat you may try these

yum install openssl

yum install openssl-devel

yum install perl-Crypt-SSLeay

Re: VIBE Plugin, SSL error

Hello Keith, Hello Siva,

thanks for your responses.

SSL is working now unfortunately I'm still noch able to snap the virtual system.

I get the error:

(4.1.0.1)] Operation failed. Reason: Executor timed out. Increasing WRAPPER_TIMEOUT_IN_MSEC in agent.properties may help.

SCF-00028: Auto Discovery for plug-in [vibe] failed with error [validation failed] and exit code [102], Exiting!

Maybe I will find some more information in trace files.  But I guess the problem is that we do not use VSphere with Windows but the VSphere Linux appliance.

Best Regards,

Andreas

Re: VIBE Plugin, SSL error

Hi Andreas,

can you please verify that scAgent/plugins/wrapper/wrapper has execute permission? I am not sure if this is the problem, but this could be the first starting point. How long does it takes until you see this message?

Thanks,

Clemens

Re: VIBE Plugin, SSL error

Hi Clemens,

thanks.

The wrapper file has execute permission.

-r-xr-xr-x 1 root root 5831724 Nov 21 05:37 wrapper

I takes about 10min until I get the messages.

Interesting would be if some has successfully worked with the vibe plugin and VSphere Linux appliance.

BR,

Andreas

Re: VIBE Plugin, SSL error

Do you mind sending us a scdump for the given setup? I'd be especially interested in the *TIMEOUT* parameters in your config.

Thanks,

Clemens

Re: VIBE Plugin, SSL error

Andreas,

I recently had a similar issue in my environment.

Are you running the Snap Creator Agent as the root user or some other user?

Can you confirm that both the Snap Creator Agent and the vSphere system are the same bit level (both 32-bit or both 64-bit)?

Thanks,

John